%global forgeurl https://github.com/troglobit/%{name}

Name:           libuev
Version:        2.4.0


Release:    1%{?dist}
Summary:        Simple event loop for Linux
License:        MIT
URL:     %{forgeurl}
#Source0: %{forgesource}
Source0: libuev-2.4.0.tar.gz

BuildRequires:  gcc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gettext
BuildRequires:  libtool
BuildRequires:  make

%description
libuEv is a small event loop that wraps the Linux epoll() family
of APIs. It is similar to the more established libevent, libev 
and the venerable Xt(3) event loop. The µ in the name refers to 
both its limited feature set and the size impact of the library.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains header files for
developing application that use %{name}.

%prep
%autosetup -n libuev-2.4.0
./autogen.sh

%build
%configure --disable-static
%make_build

%check
make check

%install
%make_install

find examples -type f \( -name "Makefile*" -or -name ".gitignore" \) -exec rm -f {} ';'

rm -rf %{buildroot}%{_docdir}/libuev

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%files
%license LICENSE
%doc README.md AUTHORS LICENSE ChangeLog.md
%{_libdir}/%{name}.so.3*

%files devel
%doc examples
%{_includedir}/uev
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-1
- initial build
